ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
group_buttons_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| get_controller ()
| compile_set_group_button (&$Settings)
| compile_delete_group_button (&$Settings)
| compile_toggle_group_button (&$Settings)

## Data Fields
| $CachedMultyFS = false
| $String = false
| $ControllerWasAdded = false

## Detailed Description

Class provides permits dependent visualisation.

Author
  Dodonov A.A.

Definition at line 26 of file group_buttons.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Author
  Dodonov A.A.

Definition at line 63 of file group_buttons.php.

{
try
{
$this->CachedMultyFS = get_package( 'cached_multy_fs' , 'last' , __FILE__ );
$this->String = get_package( 'string' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

compile_delete_group_button | ( | & | $Settings | ) |

Function compiles button.

Parameters

  $Settings | - Processing options.

Returns
  Button.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 214 of file group_buttons.php.

{
try
{
return( $this->compile_group_button( $Settings , 'Delete' ) );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

compile_set_group_button | ( | & | $Settings | ) |

Function compiles button.

Parameters

  $Settings | - Processing options.

Returns
  Button.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 180 of file group_buttons.php.

{
try
{
return( $this->compile_group_button( $Settings , 'Set' ) );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

compile_toggle_group_button | ( | & | $Settings | ) |

Function compiles button.

Parameters

  $Settings | - Processing options.

Returns
  Button.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 248 of file group_buttons.php.

{
try
{
return( $this->compile_group_button( $Settings , 'Toggle' ) );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

get_controller | ( |  | ) |

Function creates controller call.

Returns
  Script with the controller call.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 94 of file group_buttons.php.

{
try
{
$Code = '';
if( $this->ControllerWasAdded === false )
{
$Code = '{direct_controller:set_group=1;delete_group=1;toggle_group=1;'.
'package_name=permit::permit_controller}';
$this->ControllerWasAdded = true;
}
return( $Code );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$CachedMultyFS = false

Cached objects.

Author
  Dodonov A.A.

Definition at line 38 of file group_buttons.php.

$ControllerWasAdded = false

Was the controller added.

Author
  Dodonov A.A.

Definition at line 51 of file group_buttons.php.

$String = false

Definition at line 39 of file group_buttons.php.

The documentation for this class was generated from the following file:

- packages/permit/packages/group_buttons/group_buttons.php